# $Revision: 1.32 $, $Date: 2009/06/22 13:50:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	MakeMaker
Summary:	ExtUtils::MakeMaker - create a module Makefile
Summary(pl.UTF-8):	ExtUtils::MakeMaker - tworzenie Makefile dla modułu
Name:		perl-ExtUtils-MakeMaker
Version:	6.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
# Source0:	http://www.cpan.org/modules/by-module/ExtUtils/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.pobox.com/~schwern/src/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4fe422ca6c19016324b2c50af489ba17
Patch0:		%{name}-write-permissions.patch
URL:		http://search.cpan.org/dist/ExtUtils-MakeMaker/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility is designed to write a Makefile for an extension module
from a Makefile.PL. It is based on the Makefile.SH model provided by
Andy Dougherty and the perl5-porters.

%description -l pl.UTF-8
To narzędzie zostało zaprojektowane, aby tworzyć pliki Makefile dla
modułu rozszerzenia z Makefile.PL. Jest oparte na modelu Makefile.SH
stworzonym przez Andy'ego Dougherty'ego i grupę perl5-porters.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod docuemntation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/ExtUtils/MakeMaker/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NOTES PATCHING README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/%{pdir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-MakeMaker.spec,v $
Revision 1.32  2009/06/22 13:50:20  amateja
- updated to 6.52

Revision 1.31  2009/03/02 14:00:24  radek
- version 6.49_01

Revision 1.30  2008/03/04 23:13:10  wolvverine
- up to 6.44

Revision 1.29  2008-02-11 22:39:26  radek
- version 6.42

Revision 1.28  2007-05-27 07:18:31  qboosh
- generic URL

Revision 1.27  2007/05/08 16:25:58  radek
- version 6.32

Revision 1.26  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.24  2006/10/30 16:25:01  sparky
- added write-permissions; rel 2

Revision 1.23  2005/06/04 07:54:57  radek
- version 6.30

Revision 1.22  2005/02/20 10:25:28  radek
- version 6.25_08

Revision 1.21  2004/12/31 12:12:31  radek
- version 6.25_07

Revision 1.20  2004/12/27 16:14:08  radek
- version 6.25_06

Revision 1.19  2004/12/22 13:40:00  arekm
- up to 6.25_05, 6.25 is broken

Revision 1.18  2004/12/15 21:12:43  radek
- version 6.25

Revision 1.17  2004/12/09 22:44:22  radek
- release 2: added -ignore_Build_PL.patch

Revision 1.16  2004/12/01 02:07:36  radek
- version 6.24

Revision 1.15  2004/11/30 01:57:16  radek
- release 2: updated -pm_to_blib_before_PERLRUNINST.patch

Revision 1.14  2004/11/26 13:07:27  radek
- version 6.22

Revision 1.13  2004/11/03 22:30:20  paladine
- formatting

Revision 1.12  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.11  2004/11/02 11:17:18  adamg
- get rid of pod documentation
- release 4

Revision 1.10  2004/05/30 20:46:20  radek
- release 3: added -pm_to_blib_before_PERLRUNINST.patch

Revision 1.9  2004/05/08 16:33:49  radek
- release 2: s/pld.org.pl/pld-linux.org/

Revision 1.8  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.6  2003/11/16 12:54:04  migo
- up to 6.21, new bcond style
- added modinstsh manpage

Revision 1.5  2003/11/10 20:49:59  radek
- version 6.20

Revision 1.4  2003/10/21 21:18:58  radek
- fixed /usr/_share_/man issue for perl <= 5.8.0

Revision 1.3  2003/10/21 18:14:52  qboosh
- pl

Revision 1.2  2003/10/21 11:11:23  radek
- cosmetic

Revision 1.1  2003/10/21 11:10:21  radek
- new
